Loading...
Searching...
No Matches
l4_exc_regs_t Struct Reference
Base API » Object Invocation » Virtual Registers (UTCBs) » ARM Virtual Registers (UTCB) | Base API » Object Invocation » Virtual Registers (UTCBs) » ARM64 Virtual Registers (UTCB) | Base API » Object Invocation » Virtual Registers (UTCBs) » AMD64 Virtual Registers (UTCB) | Base API » Object Invocation » Virtual Registers (UTCBs) » x86 Virtual Registers (UTCB)

UTCB structure for exceptions. More...

`#include <utcb.h>`

Collaboration diagram for l4_exc_regs_t:

## Data Fields

l4_umword_t | pfa
| page fault address
l4_umword_t | err
| error code
l4_umword_t | r [13]
| registers
l4_umword_t | sp
| stack pointer
l4_umword_t | ulr
| ulr
l4_umword_t | _dummy1
| dummy
l4_umword_t | pc
| pc
l4_umword_t | cpsr
| cpsr
l4_umword_t | tpidruro
| Thread-ID register.
l4_umword_t | tpidrurw
| Thread-ID register.
l4_umword_t | r15
| r15
l4_umword_t | r14
| r14
l4_umword_t | r13
| r13
l4_umword_t | r12
| r12
l4_umword_t | r11
| r11
l4_umword_t | r10
| r10
l4_umword_t | r9
| r9
l4_umword_t | r8
| r8
l4_umword_t | rdi
| rdi
l4_umword_t | rsi
| rsi
l4_umword_t | rbp
| rbp
l4_umword_t | rbx
| rbx
l4_umword_t | rdx
| rdx
l4_umword_t | rcx
| rcx
l4_umword_t | rax
| rax
l4_umword_t | trapno
| trap number
l4_umword_t | dummy1
| dummy
l4_umword_t | ss
| stack segment register
l4_umword_t | es
| es register
l4_umword_t | ds
| ds register
l4_umword_t | gs
| gs register
l4_umword_t | fs
| fs register
l4_umword_t | edi
| edi register
l4_umword_t | esi
| esi register
l4_umword_t | ebp
| ebp register
l4_umword_t | ebx
| ebx register
l4_umword_t | edx
| edx register
l4_umword_t | ecx
| ecx register
l4_umword_t | eax
| eax register

## Detailed Description

UTCB structure for exceptions.

Examples
  examples/sys/aliens/main.c, examples/sys/singlestep/main.c, and examples/sys/start-with-exc/main.c.

Definition at line 27 of file utcb.h.

## Field Documentation

## flags

l4_umword_t l4_exc_regs_t::flags

rflags

eflags

Definition at line 37 of file utcb.h.

## ss

l4_umword_t l4_exc_regs_t::ss

stack segment register

ss register

Definition at line 71 of file utcb.h.

The documentation for this struct was generated from the following files:

- arm/l4/sys/utcb.h
- arm64/l4/sys/utcb.h
- amd64/l4/sys/utcb.h
- x86/l4/sys/utcb.h